# TODO
# - add codepress (http://codepress.org/index.php) patch
# - use system jquery (js/jquery), tcpdf (libraries/tcpdf) and php-gettext (libraries/gettext)
Summary:	phpMyAdmin - web-based MySQL administration
Summary(pl.UTF-8):	phpMyAdmin - administracja bazami MySQL przez WWW
Name:		phpMyAdmin
Version:	4.0.9
Release:	1
License:	GPL v2
Group:		Applications/Databases/Interfaces
Source0:	http://downloads.sourceforge.net/phpmyadmin/%{name}-%{version}-all-languages.tar.xz
# Source0-md5:	3530c80086324d45894633f863f11d8f
Source1:	%{name}-apache.conf
Source2:	%{name}-lighttpd.conf
Source3:	%{name}-httpd.conf
Patch0:		%{name}-config.patch
Patch1:		%{name}-ServerSelectDisplayName.patch
Patch2:		%{name}-ServerSelectDisplayName-config.patch
URL:		http://www.phpmyadmin.net/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	php(core) >= 5.2
Requires:	php(ctype)
Requires:	php(filter)
Requires:	php(json)
Requires:	php(mbstring)
Requires:	php(mcrypt)
Requires:	php(mysql)
Requires:	php(pcre)
Requires:	php(session)
Requires:	php(simplexml)
Requires:	webapps
Requires:	webserver(access)
Requires:	webserver(alias)
Requires(triggerpostun):	sed >= 4.0
Suggests:	php-mysqli
Suggests:	webserver(indexfile)
Suggests:	webserver(php)
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
phpMyAdmin can administer a whole MySQL-server (needs a super-user)
but also a single database. To accomplish the latter you'll need a
properly set up MySQL-user who can read/write only the desired
database. It's up to you to look up the appropiate part in the MySQL
manual. Currently phpMyAdmin can:
- create and drop databases
- create, copy, drop and alter tables
- delete, edit and add fields
- execute any SQL-statement, even batch-queries
- manage keys on fields
- load text files into tables
- create (*) and read dumps of tables
- export (*) and import data to CSV values
- administer multiple servers and single databases
- check referencial integrity
- create complex queries automatically connecting required tables
- create PDF graphics of your database layout
- communicate in more than 50 different languages

%description -l pl.UTF-8
phpMyAdmin potrafi zarządzać całymi bazami MySQL (potrzebne
uprawnienia superużytkownika) jak i pojedynczymi bazami danych.
Potrzebny jest użytkownik, który ma prawa zapisu/odczytu tylko tych
baz, którymi chcemy administrować (więcej informacji w odpowiedniej
podręcznika MySQL). Aktualnie phpMyAdmin potrafi:
- tworzyć i usuwać bazy
- wykonywać create, copy, drop oraz alter na tabelach
- dodawać, usuwać i modyfikować pola
- wykonywać dowolne zapytania SQL
- zarządzać kluczami na rekordach
- wczytywać tekst z plików do tabel
- obsługiwać ponad 20 języków
- zarządzać wieloma serwerami i pojedynczymi bazami danych
- eksportować i importować dane do wartości CSV
- tworzyć i czytać zrzuty tabel

%prep
%setup -q -n %{name}-%{version}-all-languages
%patch0 -p1
%patch1 -p0
%patch2 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}}

install *.php *.css favicon.ico robots.txt $RPM_BUILD_ROOT%{_appdir}
cp -a locale themes js libraries $RPM_BUILD_ROOT%{_appdir}

install libraries/config.default.php $RPM_BUILD_ROOT%{_sysconfdir}/config.inc.php
ln -sf %{_sysconfdir}/config.inc.php $RPM_BUILD_ROOT%{_appdir}/config.inc.php

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%dir %{_appdir}
%{_appdir}/js
%{_appdir}/libraries
%{_appdir}/locale
%{_appdir}/themes
%{_appdir}/*.css
%{_appdir}/*.php
%{_appdir}/favicon.ico
%{_appdir}/robots.txt
%changelog
* Tue Nov 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/phpMyAdmin.git;a=log;h=master

* Tue Nov 05 2013 Łukasz Kieś <kiesiu@pld-linux.org> 0ae2a75
- updated to 4.0.9

* Sun Oct 20 2013 Łukasz Kieś <kiesiu@pld-linux.org> 5d2058f
- updated to 4.0.8

* Mon Sep 30 2013 Sławomir Paszkiewicz <paszczus@pld-linux.org> 31f3f42
- updated to 4.0.7

* Sat Sep 21 2013 Marcin Krol <hawk@tld-linux.org> e051a27
- updated to 4.0.6

* Wed Aug 21 2013 Elan Ruusamäe <glen@delfi.ee> 88c6335
- BR for .tar.xz

* Tue Aug 20 2013 Marcin Krol <hawk@tld-linux.org> bf484b3
- switch to .xz tarball

* Mon Aug 05 2013 Marcin Krol <hawk@tld-linux.org> 8b56536
- updated to 4.0.5

* Tue Jul 09 2013 Marcin Krol <hawk@tld-linux.org> b6cea8f
- updated to 4.0.4.1

* Tue Jun 18 2013 Adam Gołębiowski <adamg@pld-linux.org> 834abdd
- updated to 4.0.4

* Thu Jun 13 2013 Adam Gołębiowski <adamg@pld-linux.org> f79b83d
- updated to 4.0.3 (CVE-2013-3742)

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 83a872c
- fix patch file name

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 483a1aa
- migrated to apache 2.4

* Tue May 14 2013 Adam Gołębiowski <adamg@pld-linux.org> 8144360
- updated to 4.0.0

* Tue May 14 2013 Adam Gołębiowski <adamg@pld-linux.org> f322052
- updated to 3.5.8.1

* Tue May 14 2013 Adam Gołębiowski <adamg@pld-linux.org> 9a26313
- updated to 3.5.8

* Sat Feb 16 2013 Robert Graużenis <dzeus@dc.net.pl> d68b835
- up to 3.5.7 (bugfixes)

* Thu Jan 31 2013 Adam Gołębiowski <adamg@pld-linux.org> 0764101
- updated to 3.5.6

* Fri Dec 28 2012 Robert Graużenis <dzeus@dc.net.pl> bcbd1e8
- up to 3.5.5 (bugfixes)

* Mon Dec 10 2012 Adam Gołębiowski <adamg@pld-linux.org> 3a2c697
- updated to 3.5.4

* Fri Nov 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> 5cef191
- updated to 3.5.3

